CREATE TABLE adf_extension_column[ (
    COLUMN_ID            NUMBER(18, 0)     NOT NULL,
    COLUMN_NAME          VARCHAR2(120)     NOT NULL,
    LOGICAL_DATATYPE     VARCHAR2(120) ,
    INDEXED              VARCHAR2(4)   ,
    TABLE_ID             NUMBER(18, 0) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    SANDBOX_NAME         VARCHAR2(3200),
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL
);
